package com.bizzan.bitrade.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

@JsonFormat(shape = JsonFormat.Shape.NUMBER)
public enum CloseType {
    CLOSE(0, "平仓"),
    MARKET_CLOSE(1, "市价全平"),
    ONE_KEY_CLOSE(2, "一键平仓"),
	REVERSE_OPEN(3, "反向开仓"),
	CUT(4, "止盈止损"),
	BLAST(5, "爆仓"),
    ADMIN_CLOSE(6, "管理员平仓"),
    FOLLOW_ACCOUNT_PROFIT(7, "跟单账户止盈"),
    FOLLOW_ACCOUNT_LOSS(8, "跟单账户止损"),
    FOLLOW_POSITION_PROFIT(9, "跟单仓位止盈"),
    FOLLOW_POSITION_LOSS(10, "跟单仓位止损"),
    FOLLOW_SELF_CLOSE(11, "跟单用户平仓");

    CloseType(int number, String description) {
        this.code = number;
        this.description = description;
    }
    private int code;
    private String description;
    public int getCode() {
        return code;
    }
    public String getDescription() {
        return description;
    }
}
